Error with pod install on detached project

#1

I tried to detach a project in order to add an external library requiring react-native link by following the instructions in the documentation.
The exp detach worked well, however, once I went into the ios/ folder and I ran pod install I got the following:

Analyzing dependencies
Pre-downloading: ExpoKit from http://github.com/expo/expo.git, tag ios/1.19.2
Fetching podspec for React from ../node_modules/react-native
Fetching podspec for Yoga from ../node_modules/react-native/ReactCommon/Yoga
[!] Unable to find a specification for Amplitude-iOS (~> 3.8) depended upon by ExpoKit/Core
`

0 Likes

#2

You may have to pod repo update in that directory.

1 Like

#3

It worked, thank you very much !

0 Likes